#include "stdafx.h"
#include "Cube.h"
#include "glut.h"
#include "glu.h"

namespace SceneManagement
{
	void Cube::Draw()
	{
		glPushMatrix();
		glTranslatef( localPos[0], localPos[1], localPos[2]);
		glRotatef(angle, 1.0f,1.0f,1.0f);
		glColor3f(1,1,1);

		glPushMatrix();
		glScalef(scale,scale,scale);
		glBegin(GL_QUADS);
			glColor3f(1.0f,0.0f,0.0f);
			glNormal3f( 0.0f, -1.0f, 0.0f);
			glVertex3f(-scale, -scale, -scale); 
			glVertex3f( scale, -scale, -scale);
			glVertex3f( scale, -scale,  scale);
			glVertex3f(-scale, -scale,  scale);

			glColor3f(1.0f,0.0f,0.0f);
			glNormal3f( 0.0f, 1.0f, 0.0f); 
			glVertex3f(-scale,  scale, -scale);
			glVertex3f(-scale,  scale,  scale);
			glVertex3f( scale,  scale,  scale);
			glVertex3f( scale,  scale, -scale);

			glColor3f(0.0f,0.0f,1.0f);
			glNormal3f( 0.0f, 0.0f,-1.0f); 
			glVertex3f(-scale, -scale, -scale);
			glVertex3f(-scale,  scale, -scale);
			glVertex3f( scale,  scale, -scale);
			glVertex3f( scale, -scale, -scale);

			glColor3f(1.0f,1.0f,0.0f);
			glNormal3f( 1.0f, 0.0f, 0.0f);
			glVertex3f( scale, -scale, -scale); 
			glVertex3f( scale,  scale, -scale);
			glVertex3f( scale,  scale,  scale);
			glVertex3f( scale, -scale,  scale);

			glColor3f(1.0f,0.0f,1.0f);
			glNormal3f( 0.0f, 0.0f, 1.0f); 
			glVertex3f(-scale, -scale,  scale);
			glVertex3f( scale, -scale,  scale);
			glVertex3f( scale,  scale,  scale); 
			glVertex3f(-scale,  scale,  scale);

			glColor3f(0.0f,1.0f,1.0f);
			glNormal3f(-1.0f, 0.0f, 0.0f);  
			glVertex3f(-scale, -scale, -scale); 
			glVertex3f(-scale, -scale,  scale);
			glVertex3f(-scale,  scale,  scale);
			glVertex3f(-scale,  scale, -scale);

		glEnd();

		glPopMatrix();


		glPopMatrix();
	}
}