#include "stdafx.h"
#include "D1_performance.h"

namespace SceneManagement
{
	D1_performance::D1_performance(Mode m, Storage s) : mode(m), storage(s), entityList(0)
	{
		if (s == GL_LIST)
			Init();
	}

	void D1_performance::Init()
	{
		entityList = glGenLists(1);
		glNewList(entityList,GL_COMPILE);
		
		switch (mode)
		{
		case TRIANGLES:
			
			break;
		case STRINGLE_STRIPS:
			break;
		}

		glEndList();
	}

	void D1_performance::Draw()
	{

		glBegin(GL_LINES);
		
		glColor3f(1.0f,0.0f,0.0f);
		glVertex3f(0,0,0);
		glVertex3f(1,0,0);

		glColor3f(0.0f,1.0f,0.0f);
		glVertex3f(0,0,0);
		glVertex3f(0,1,0);

		glColor3f(0.0f,0.0f,1.0f);
		glVertex3f(0,0,0);
		glVertex3f(0,0,1);

		glEnd();
	}
	


}