#pragma once
#include "BMPLoader.h"
#include "glut.h"
#include "SceneSetting.h"

namespace SceneManagement
{
	class Entity
	{
	protected:
		bool isSelected;

	public:
		inline Entity(void) : isSelected(false){};
		inline ~Entity(void){};

		inline void MarkAsSelected(bool selection){isSelected = selection;}

		virtual void Init(){};

		virtual void Draw(){};
		virtual void Draw(SceneSetting *sceneSetting){};
		virtual void DrawForPicking(){};
		virtual void Print(){};

		virtual void Idle(){};
	};

}