#include "stdafx.h"
#include "Space.h"
#include "glut.h"
#include "glu.h"

namespace SceneManagement
{
	Space::Space(GLuint tex)
	{
		tSpace = tex;
		q = gluNewQuadric(); 
	}

	Space::~Space()
	{
		gluDeleteQuadric(q);
	}

	void Space::Draw()
	{
		glDisable(GL_LIGHTING);
//		glDisable(GL_CULL_FACE);
		glEnable(GL_TEXTURE_2D);
		glBindTexture(GL_TEXTURE_2D, tSpace);
		glColor4f(1.0, 1.0, 1.0, 1.0);
		glPushMatrix();
		glScalef(-1, -1, -1);
//                glEnable(GL_TEXTURE_GEN_S);
//               glEnable(GL_TEXTURE_GEN_T);
//                glTexGeni(GL_S, GL_TEXTURE_GEN_MODE, GL_OBJECT_LINEAR);
//                glTexGeni(GL_S, GL_EYE_PLANE, GL_EYE_LINEAR);
//                glTexGeni(GL_T, GL_TEXTURE_GEN_MODE, GL_OBJECT_LINEAR);
//                glTexGeni(GL_T, GL_EYE_PLANE, GL_EYE_LINEAR);
//                GLfloat s_plane[] = {1,0,0,0};
//                glTexGenfv(GL_S, GL_OBJECT_PLANE, s_plane);
//                GLfloat t_plane[] = {0,1,0,0};
//                glTexGenfv(GL_T, GL_OBJECT_PLANE, t_plane);
		gluQuadricTexture(q, true);
		gluSphere(q, 3000.0f,20,20);
		glPopMatrix();
		glDisable(GL_TEXTURE_2D);
//                glDisable(GL_TEXTURE_GEN_S);
//                glDisable(GL_TEXTURE_GEN_T);
//		glEnable(GL_CULL_FACE);
		glEnable(GL_LIGHTING);
	}
}
