#include "stdafx.h"
#include "dalkari2.h"
#include "glut.h"
#include "glu.h"

namespace SceneManagement
{
	float lAmbient[4] = { 0.2, 0.2, 0.2, 1 };
	float lDiffuse[4] = { 0.8, 0.8, 0.8, 1 };
	float lPosition[4] = { 10.0, 10.0, 10.0, 1 };
	float mAmbientDiffuse[4] = { 1.0, 0.0, 0.0, 1 };

	Dalkari2::Dalkari2()
	{
		//lAmbient = new float[4]{ 0.8, 0.8, 0.8, 1 };
		//lDiffuse = new float[4]{ 0.2, 0.2, 0.2, 1 };
		//lPosition = new float[4]{ 0.0, 0.0, 5.0, 1 };
		//mAmbientDiffuse = new float[4]{ 1.0, 0.0, 0.0, 1 };
	}

	Dalkari2::~Dalkari2()
	{
		//delete [] lAmbient;
		//delete [] lDiffuse;
		//delete [] lPosition;
		//delete [] mAmbientDiffuse;
	}

	void Dalkari2::Draw()
	{
		glPushAttrib(GL_COLOR_MATERIAL | GL_LIGHTING);

		glDisable(GL_COLOR_MATERIAL);
		glLightfv(GL_LIGHT0, GL_DIFFUSE, lAmbient);
		glLightfv(GL_LIGHT0, GL_DIFFUSE, lDiffuse);
		glLightfv(GL_LIGHT0, GL_POSITION, lPosition);
		glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT_AND_DIFFUSE, mAmbientDiffuse);

//		glEnable(GL_LIGHTING);
//		glEnable(GL_LIGHT0);
//		glEnable(GL_NORMALIZE);
		glDisable(GL_LIGHTING);
		glDisable(GL_CULL_FACE);

		glEnable(GL_COLOR_MATERIAL);
		glEnable(GL_BLEND);
		glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);

		glNormal3f(0,1,0);
		
		glDepthMask(GL_TRUE);
		glColor4f(0,1,0,1);			//Neprhledn zelen
		glBegin(GL_QUADS);
		glVertex3f(0,0,0);
		glVertex3f(2,0,0);
		glVertex3f(2,0,2);
		glVertex3f(0,0,2);
		glEnd();

		glDepthMask(GL_TRUE);
		glColor4f(0,1,0,1);			//Neprhledn modr
		glBegin(GL_QUADS);
		glVertex3f(0,2,0);
		glVertex3f(2,2,0);
		glVertex3f(2,2,2);
		glVertex3f(0,2,2);
		glEnd();

		glDepthMask(GL_FALSE);
		glColor4f(1,1,1,0.5f);		//Prhledn erven 2
		glBegin(GL_QUADS);
		glVertex3f(0,1.2,0);
		glVertex3f(2,1.2,0);
		glVertex3f(2,1.2,2);
		glVertex3f(0,1.2,2);
		glEnd();

		glDepthMask(GL_FALSE);
		glColor4f(1,0,0,0.25f);		//Prhledn erven 1
		glBegin(GL_QUADS);
		glVertex3f(0,1,0);
		glVertex3f(2,1,0);
		glVertex3f(2,1,2);
		glVertex3f(0,1,2);
		glEnd();


		glPopAttrib();
		glDepthMask(GL_TRUE);
		glDisable(GL_BLEND);

	}
}
