#pragma once
#include "vmath.h"
#include "utils.h"
#include "glut.h"

#define CAMERA_ZOOMING		0x01
#define CAMERA_MOVING		0x02
#define CAMERA_ROTATING		0x04

namespace SceneManagement
{
	class Camera 
	{
	public:
		GLfloat fi;
		GLfloat psi;
		GLfloat radius;
		Vector3f position;
		double	sensitivity;
		int		state;
		
		Camera();
		inline ~Camera(void){};
		
		void CameraUpdate(Vector2f mouseDelta);
		void CameraZoomAndRotate();
		void CameraPan();
	};
}
