#pragma once
#include "Entity.h"

namespace SceneManagement
{
	class Cube : public Entity
	{
	private:
		float *localPos;
		float angle;
		float scale;
	public:
		//IDLE_FUNCTION idle;

	public:
		inline Cube() {}
		inline Cube(float x, float y, float z) : Entity()
		{   
			localPos = new float[3];
			localPos[0] = x;
			localPos[1] = y;
			localPos[2] = z;

			angle = 0;
			scale = 1;
			//idle = &Cube::cubeIdle;
		}
		inline ~Cube()
		{
			delete [] localPos;
		}

		void Draw();

		inline void setposition(float x, float y, float z)
		{
			if (localPos)
			{
				localPos[0] = x;
				localPos[1] = y;
				localPos[2] = z;
			}
		}

		void Idle()
		{
			angle += 1;
			if (angle == 360)
				angle = 0;
		}
	};
}