#pragma once
#include "Entity.h"

namespace SceneManagement
{
	class D1_performance : public Entity
	{
	public:
		enum Mode
		{
			TRIANGLES,
			STRINGLE_STRIPS,
		};

		enum Storage
		{
			NONE,
			GL_LIST,
		};

	private:
		Mode mode;
		Storage storage;
		GLuint entityList;


	public:
		D1_performance(Mode n, Storage s);
		inline ~D1_performance(void){};

		void Draw();
		void Init();
	};
}