#include "stdafx.h"
#include "light.h"
#include "glut.h"
#include "glu.h"

namespace SceneManagement
{
	Light::Light()
	{
		lAmbient = { 0.2, 0.2, 0.2, 1 };
		lDiffuse = { 0.8, 0.8, 0.8, 1 };
		lPosition = { 0.0, 0.0, 0.0, 1 };
	}

	Light::~Light()
	{
	}

	void Light::Draw()
	{
                glLightfv(GL_LIGHT0, GL_DIFFUSE, lAmbient);
                glLightfv(GL_LIGHT0, GL_DIFFUSE, lDiffuse);
                glLightfv(GL_LIGHT0, GL_POSITION, lPosition);
		glEnable(GL_LIGHTING);
		glEnable(GL_LIGHT0);
		glEnable(GL_NORMALIZE);
	}
}
