#pragma once
#include "Entity.h"
#include "vmath.h"
#include "Cell.h"

#define RING_SLICES 150
#define RING_MIN 1.1
#define RING_MAX 1.6

namespace SceneManagement
{
	class sun : public Entity
	{
	public:
		sun(GLuint, GLfloat, GLfloat[3]);
		~sun(void);
		void Draw();

	private:
		GLUquadric *qSun;
		GLuint tex;
		Cell* cell;
		GLfloat size;
		GLfloat position[3];
	};
}
