#include "stdafx.h"
#include "texmult.h"
#include "glut.h"
#include "glu.h"

namespace SceneManagement
{
	texmult::texmult(GLuint* texs)
	{
		tex_trava=texs[0];
		tex_cesta=texs[1];
		tex_skala=texs[2];
	}

	void texmult::Draw()
	{
		glDisable(GL_LIGHTING);
	glActiveTexture(GL_TEXTURE0);
	glBindTexture(GL_TEXTURE_2D, tex_cesta);
	glEnable(GL_TEXTURE_2D);

	glActiveTexture(GL_TEXTURE1);
	glEnable(GL_TEXTURE_2D);
	glBindTexture(GL_TEXTURE_2D, tex_skala);

	glActiveTexture(GL_TEXTURE2);
	glEnable(GL_TEXTURE_2D);
	glBindTexture(GL_TEXTURE_2D, tex_trava);


	glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_COMBINE);
	glTexEnvf(GL_TEXTURE_ENV, GL_COMBINE_RGB, GL_INTERPOLATE);

	glTexEnvf(GL_TEXTURE_ENV, GL_SOURCE0_RGB, GL_TEXTURE2);
	glTexEnvf(GL_TEXTURE_ENV, GL_SOURCE1_RGB, GL_TEXTURE1);
	glTexEnvf(GL_TEXTURE_ENV, GL_SOURCE2_RGB, GL_TEXTURE0);

	glTexEnvf(GL_TEXTURE_ENV, GL_OPERAND0_RGB, GL_SRC_COLOR);
	glTexEnvf(GL_TEXTURE_ENV, GL_OPERAND1_RGB, GL_SRC_COLOR);
	glTexEnvf(GL_TEXTURE_ENV, GL_OPERAND2_RGB, GL_SRC_COLOR);

	glColor4f(1,1,1,1);
	glBegin(GL_QUADS);
                //glTexCoord2f(0,0);
		glMultiTexCoord2f (GL_TEXTURE0, 0, 0);
		glMultiTexCoord2f (GL_TEXTURE1, 0, 0);
		glMultiTexCoord2f (GL_TEXTURE2, 0, 0);
		glVertex3f(0,0,0.5);

//                glTexCoord2f(1,0);
       		glMultiTexCoord2f (GL_TEXTURE0, 1, 0);
		glMultiTexCoord2f (GL_TEXTURE1, 1, 0);
		glMultiTexCoord2f (GL_TEXTURE2, 1, 0);
		glVertex3f(5,0,0.5);

//                glTexCoord2f(1,1);
		glMultiTexCoord2f (GL_TEXTURE0, 1, 1);
		glMultiTexCoord2f (GL_TEXTURE1, 1, 1);
		glMultiTexCoord2f (GL_TEXTURE2, 1, 1);
		glVertex3f(5,5,0.5);

//                glTexCoord2f(0,1);
		glMultiTexCoord2f (GL_TEXTURE0, 0, 1);
		glMultiTexCoord2f (GL_TEXTURE1, 0, 1);
		glMultiTexCoord2f (GL_TEXTURE2, 0, 1);
                glVertex3f(0,5,0.5);
	glEnd();	
	}
}
