#include "utils.h"

namespace SceneManagement
{
	bool testBit(const int bit, const int state) 
	{
		return ( state & bit ) == bit;
	}

	void enableBit(const int bit, int* state) 
	{
		*state |= bit; 
	}

	void disableBit(const int bit, int* state) 
	{
		*state &= ~bit;
	}


	void drawString(Vector3f position, const char* str) 
	{
		int lenght = strlen(str);
		glRasterPos3fv(position);

		for( int i = 0; i < lenght; i++) {
			
			glutBitmapCharacter(GLUT_BITMAP_HELVETICA_12, str[i]);
		}
	}
}